Subject: Re: bug#58928: 29.0.50; overlays in org-mode are disrupted after call `org-capture`

From: Gerd Möllmann <[email-masked]>
Date: Tue, 1 Nov 2022 08:50:52 +0100

On 01.11.22 08:11, Eli Qian wrote:
> This is my first bug reporting, so I apologize if there are any omissions.
> 
> On Tue, Nov 01 2022, Gerd Möllmann <[email-masked]> wrote:
> 
>> I've evaluated the form above as-is in *scratch*, and done the S-tab.
>> I now have 4 lines looking like "* DONE test..." in the buffer.
> 
> After Step 4, save the buffer to "~/test.org". Now You have 4 lines looking
> like "* DONE test..." in "~/test.org".
> 
> In Step 5, the actual code is
> 
> (setq org-capture-templates
>       '(("l" "global notes" entry (file "~/test.org")
>            "* %?"
>            :prepend t
>            :empty-lines 0)))
>>>> 6. Call `org-capture` in test.org buffer, and type something.
>>
>> M-x org-capture RET in test.org asks me what template to use, and I
>> choose 'l'.  I then type something and hit C-c C-c.  It asks me to let
>> it create a directory ~/org, and I let it do that.  What I see after
>> that in the test.log buffer looks like it did before.  There are same 4
>> lines.
>>
>> What am I doing wrong?
>>
>> (This is current master.)
> 
> Step 6:
> M-x org-capture RET in test.org , you will see the capture buffer appears
> on the right, while test.org buffer on the left. Then type something,
> you will see the text in test.org buffer disrupted.

Thanks, that worked.  (It's not a big deal, but please keep the others
in the CC.)

What I see now is that I have 2 windows.  One is showing test.org, the
other is a buffer CAPTURE-test.org.  While typing in CAPTURE-test.org,
the text in test.org is mangled with each key stroke.  The invisible
parts (...) are moved around in test.org.  C-l doesn't change anything.

Running with --enable-checking and ASAN doesn't show anything.

Do we have someone who knows Org internals, and can tell what exactly 
typing in CAPTURE-test.org does, presumably with overlays?